de.esprit.common.type

## Enum OsArchitecture

- java.lang.Object
- - java.lang.Enum<OsArchitecture>
  - - de.esprit.common.type.OsArchitecture

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OsArchitecture>

      public enum OsArchitecture
      extends java.lang.Enum<OsArchitecture>

  This enum defines common platform architectures
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AMD64`
    `I386`
    `SPARC`
    `SPARCV9`
    `UNKNOWN`
    `X86`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OsArchitecture` | `fromString(java.lang.String arch)`
    `NumericalPrecision` | `getNumericalPrecision()`
    `boolean` | `isAmd64()`
    `boolean` | `isI386()`
    `boolean` | `isSparc()`
    `boolean` | `isSparcV9()`
    `boolean` | `isX86()`
    `static OsArchitecture` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OsArchitecture[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final OsArchitecture UNKNOWN

    - #### I386

          public static final OsArchitecture I386

    - #### X86

          public static final OsArchitecture X86

    - #### AMD64

          public static final OsArchitecture AMD64

    - #### SPARC

          public static final OsArchitecture SPARC

    - #### SPARCV9

          public static final OsArchitecture SPARCV9

  - ### Method Detail

    - #### values

          public static OsArchitecture[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OsArchitecture c : OsArchitecture.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OsArchitecture valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumericalPrecision

          public NumericalPrecision getNumericalPrecision()

    - #### isI386

          public boolean isI386()

    - #### isX86

          public boolean isX86()

    - #### isAmd64

          public boolean isAmd64()

    - #### isSparc

          public boolean isSparc()

    - #### isSparcV9

          public boolean isSparcV9()

    - #### fromString

          public static OsArchitecture fromString(java.lang.String arch)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.